<?php
/*
 * Template Name: Banners Page
 */
?>

<?php

add_action( 'genesis_meta', 'banners_page_genesis_meta' );

function banners_page_genesis_meta() {

        //* Force full-width-content layout setting
        add_filter( 'genesis_pre_get_option_site_layout', '__genesis_return_full_width_content' );
        
        //* Add rows-page  body class
        add_filter( 'body_class', 'banners_page_body_class' );
        
        //* Remove breadcrumbs
        remove_action( 'genesis_before_loop', 'genesis_do_breadcrumbs' );

        //* Remove the default Genesis loop
        remove_action( 'genesis_loop', 'genesis_do_loop' );
        
        //* Add the rows page widgets
        add_action( 'genesis_loop', 'banners_page_widgets' );
}

function banners_page_body_class( $classes ) {

    $classes[] = 'banners-page';
    return $classes;
    
}

function banners_page_widgets() {

    genesis_widget_area( 'banner-row-1', array(
        'before' => '<div id="banner-row-1" class="banner-row-odd"><div class="banner-row-widget-wrap">',
        'after'  => '</div></div>',
    ) );
    
    genesis_widget_area( 'banner-row-2', array(
        'before' => '<div id="banner-row-2" class="banner-row-even"><div class="banner-row-widget-wrap">',
        'after'  => '</div></div>',
    ) );

    genesis_widget_area( 'banner-row-3', array(
        'before' => '<div id="banner-row-3" class="banner-row-odd"><div class="banner-row-widget-wrap">',
        'after'  => '</div></div>',
    ) );

    genesis_widget_area( 'banner-row-4', array(
        'before' => '<div id="banner-row-4" class="banner-row-even"><div class="banner-row-widget-wrap">',
        'after'  => '</div></div>',
    ) );

    genesis_widget_area( 'banner-row-5', array(
        'before' => '<div id="banner-row-5" class="banner-row-odd"><div class="banner-row-widget-wrap">',
        'after'  => '</div></div>',
    ) );
    
}

//* Let Genesis take over
genesis();